Software Development Kit (SDK) and API Discussions

Connection error to Storage System for my ClusterDataontapServer chose TLSv1,protocol notsupport

RATNA_GUDLAVALLETI
2,785 Views

Hi ,

 

I am trying to connect my netapp cluster ontap device throght Netapp Management SDK, getting error that "Connection error to Storage System for server choose TLSv1,

but that protocol version is not enabled or not supported by the client.Is there any way get source code for Netapp SDK and edit it...to fix this issue.

Thanks for ur reply in advance.

 

 

-Ratna..

 

 

 

3 REPLIES 3

richard_payne
2,764 Views

Which method are you using to connect to the filer? I've never seen that error...

 

--rdp

RATNA_GUDLAVALLETI
2,753 Views

Thanks  richard payne,

 

this.runner = new ApiRunner(ApiTarget.builder().withHost(host).withUserName(admiUuser).withPassword(adminPasswd).withTargetType(TargetType.FILER).useProtocol(protocol).build());

 

Above method i am using get netapp 7 and C Mode devices and getting that error.

 

-ratna

 

 

 

 

teksreenath
2,326 Views

I am also facing the same issue. Do we have any solution for this issue?.

Public